package domain


type AlibabaWdkSkuCombineskuAddApiResults struct {
    /*
        接口调用是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        接口调用异常编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        接口调用异常信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        商品列表     */
    Models  *[]AlibabaWdkSkuCombineskuAddApiResult `json:"models,omitempty" `

}

func (s *AlibabaWdkSkuCombineskuAddApiResults) SetSuccess(v bool) *AlibabaWdkSkuCombineskuAddApiResults {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuAddApiResults) SetErrCode(v string) *AlibabaWdkSkuCombineskuAddApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuAddApiResults) SetErrMsg(v string) *AlibabaWdkSkuCombineskuAddApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuAddApiResults) SetModels(v []AlibabaWdkSkuCombineskuAddApiResult) *AlibabaWdkSkuCombineskuAddApiResults {
    s.Models = &v
    return s
}
